main.h File Reference
`#include <corosync/corotypes.h>`
`#include <corosync/hdb.h>`
`#include <qb/qbloop.h>`
`#include <corosync/totem/totempg.h>`
`#include <corosync/icmap.h>`
`#include <corosync/coroapi.h>`
Include dependency graph for main.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | TRUE 1
#define | FALSE 0

## Functions

int | main_mcast (const struct iovec *iovec, unsigned int iov_len, unsigned int guarantee)
void | message_source_set (mar_message_source_t *source, void *conn)
int | message_source_is_local (const mar_message_source_t *source)
void | corosync_shutdown_request (void)
void | corosync_state_dump (void)
qb_loop_t * | cs_poll_handle_get (void)
int | cs_poll_dispatch_add (qb_loop_t *handle, int fd, int events, void *data, int(*dispatch_fn)(int fd, int revents, void *data))
int | cs_poll_dispatch_delete (qb_loop_t *handle, int fd)
int | corosync_sending_allowed (unsigned int service, unsigned int id, const void *msg, void *sending_allowed_private_data)
void | corosync_sending_allowed_release (void *sending_allowed_private_data)
void | corosync_recheck_the_q_level (void *data)
void | cs_ipcs_init (void)
const char * | cs_ipcs_service_init (struct corosync_service_engine *service)
void | cs_ipcs_stats_update (void)
int32_t | cs_ipcs_service_destroy (int32_t service_id)
int32_t | cs_ipcs_q_level_get (void)
int | cs_ipcs_dispatch_send (void *conn, const void *msg, size_t mlen)
int | cs_ipcs_dispatch_iov_send (void *conn, const struct iovec *iov, unsigned int iov_len)
int | cs_ipcs_response_send (void *conn, const void *msg, size_t mlen)
int | cs_ipcs_response_iov_send (void *conn, const struct iovec *iov, unsigned int iov_len)
void | cs_ipcs_sync_state_changed (int32_t sync_in_process)
void * | cs_ipcs_private_data_get (void *conn)
void | cs_ipc_refcnt_inc (void *conn)
void | cs_ipc_refcnt_dec (void *conn)
void | cs_ipc_allow_connections (int32_t allow)
int | coroparse_configparse (icmap_map_t config_map, const char **error_string)
const char * | corosync_get_config_file (void)

## Variables

unsigned long long *(* | main_clm_get_by_nodeid )(unsigned int node_id)

## Detailed Description

Warning
  DO NOT USE SYMBOLS IN THIS FILE

Definition in file main.h.

## Macro Definition Documentation

## FALSE

#define FALSE 0

Definition at line 46 of file main.h.

## TRUE

#define TRUE 1

Definition at line 45 of file main.h.

## Function Documentation

## coroparse_configparse()

int coroparse_configparse | ( | icmap_map_t | config_map,
|  | const char ** | error_string
| ) |  |

Definition at line 258 of file coroparse.c.

## corosync_get_config_file()

const char* corosync_get_config_file | ( | void |  | ) |

Definition at line 212 of file main.c.

## corosync_recheck_the_q_level()

void corosync_recheck_the_q_level | ( | void * | data | ) |

Definition at line 723 of file main.c.

References totempg_check_q_level().

## corosync_sending_allowed()

int corosync_sending_allowed | ( | unsigned int | service,
|  | unsigned int | id,
|  | const void * | msg,
|  | void * | sending_allowed_private_data
| ) |  |

Definition at line 737 of file main.c.

References header, sending_allowed_private_data_struct::reserved_msgs, and totempg_groups_joined_reserve().

## corosync_sending_allowed_release()

void corosync_sending_allowed_release | ( | void * | sending_allowed_private_data | ) |

Definition at line 785 of file main.c.

References sending_allowed_private_data_struct::reserved_msgs, and totempg_groups_joined_release().

## corosync_shutdown_request()

void corosync_shutdown_request | ( | void |  | ) |

Definition at line 258 of file main.c.

References corosync_service_unlink_all().

## corosync_state_dump()

void corosync_state_dump | ( | void |  | ) |

Definition at line 201 of file main.c.

References corosync_service, corosync_service_engine::exec_dump_fn, and SERVICES_COUNT_MAX.

## cs_ipc_allow_connections()

void cs_ipc_allow_connections | ( | int32_t | allow | ) |

Definition at line 159 of file ipc_glue.c.

## cs_ipc_refcnt_dec()

void cs_ipc_refcnt_dec | ( | void * | conn | ) |

Definition at line 307 of file ipc_glue.c.

## cs_ipc_refcnt_inc()

void cs_ipc_refcnt_inc | ( | void * | conn | ) |

Definition at line 302 of file ipc_glue.c.

## cs_ipcs_dispatch_iov_send()

int cs_ipcs_dispatch_iov_send | ( | void * | conn,
|  | const struct iovec * | iov,
|  | unsigned int | iov_len
| ) |  |

Definition at line 483 of file ipc_glue.c.

## cs_ipcs_dispatch_send()

int cs_ipcs_dispatch_send | ( | void * | conn,
|  | const void * | msg,
|  | size_t | mlen
| ) |  |

Definition at line 474 of file ipc_glue.c.

## cs_ipcs_init()

void cs_ipcs_init | ( | void |  | ) |

Definition at line 818 of file ipc_glue.c.

## cs_ipcs_private_data_get()

void* cs_ipcs_private_data_get | ( | void * | conn | ) |

Definition at line 312 of file ipc_glue.c.

References cs_ipcs_conn_context::data.

## cs_ipcs_q_level_get()

int32_t cs_ipcs_q_level_get | ( | void |  | ) |

Definition at line 601 of file ipc_glue.c.

## cs_ipcs_response_iov_send()

int cs_ipcs_response_iov_send | ( | void * | conn,
|  | const struct iovec * | iov,
|  | unsigned int | iov_len
| ) |  |

Definition at line 363 of file ipc_glue.c.

## cs_ipcs_response_send()

int cs_ipcs_response_send | ( | void * | conn,
|  | const void * | msg,
|  | size_t | mlen
| ) |  |

Definition at line 374 of file ipc_glue.c.

## cs_ipcs_service_destroy()

int32_t cs_ipcs_service_destroy | ( | int32_t | service_id | ) |

Definition at line 164 of file ipc_glue.c.

## cs_ipcs_service_init()

const char* cs_ipcs_service_init | ( | struct corosync_service_engine * | service | ) |

Definition at line 778 of file ipc_glue.c.

## cs_ipcs_stats_update()

void cs_ipcs_stats_update | ( | void |  | ) |

## cs_ipcs_sync_state_changed()

void cs_ipcs_sync_state_changed | ( | int32_t | sync_in_process | ) |

Definition at line 664 of file ipc_glue.c.

## cs_poll_dispatch_add()

int cs_poll_dispatch_add | ( | qb_loop_t * | handle,
|  | int | fd,
|  | int | events,
|  | void * | data,
|  | int(*)(int fd, int revents, void *data) | dispatch_fn
| ) |  |

Definition at line 183 of file main.c.

## cs_poll_dispatch_delete()

int cs_poll_dispatch_delete | ( | qb_loop_t * | handle,
|  | int | fd
| ) |  |

Definition at line 196 of file main.c.

## cs_poll_handle_get()

qb_loop_t* cs_poll_handle_get | ( | void |  | ) |

Definition at line 178 of file main.c.

Referenced by corosync_timer_add_absolute(), corosync_timer_add_duration(), corosync_timer_delete(), and corosync_timer_expire_time_get().

## main_mcast()

int main_mcast | ( | const struct iovec * | iovec,
|  | unsigned int | iov_len,
|  | unsigned int | guarantee
| ) |  |

Definition at line 627 of file main.c.

References corosync_service, icmap_fast_inc(), service_stats_tx, and totempg_groups_mcast_joined().

## message_source_is_local()

int message_source_is_local | ( | const mar_message_source_t * | source | ) |

Definition at line 796 of file main.c.

References totempg_my_nodeid_get().

## message_source_set()

void message_source_set | ( | mar_message_source_t * | source,
|  | void * | conn
| ) |  |

Definition at line 807 of file main.c.

References totempg_my_nodeid_get().

## Variable Documentation

## main_clm_get_by_nodeid

unsigned long long*(* main_clm_get_by_nodeid) (unsigned int node_id) | ( | unsigned int | node_id | ) |

extern